﻿// подключение библиотек.cpp : Этот файл содержит функцию "main". Здесь начинается и заканчивается выполнение программы.
//

#include "pch.h"
#include <iostream>

int main()
{
	std::cout << "from lib :\tfnk1(10,5) = " << fnc1(10, 5) << std::endl;
}

//способы подключания библиотек:
//1. в виде заголовочного файла 
//2. в виде статической библиотеки (отдельно создается проект статической библиотеки) .lib . пиется прототип функции, конпоновщик находит саму функцию в подключенном *lib 
// динамические подключения библиотек: .dll (для снижения размера приложения, для унификации доступа, для повышения безопасности) 
// 3. неявное подлкючение 
// 4. явное подключение 
